import java.util.*;

/**
 * Compares two Map.Entry<String,Counter> entries implying an order
 * decreasing by Counter values.
 * @author Bob Wilson (updated from Robert Cohen's pre-generic version)
 * 12/12/2009
 */

public class CounterValueComparator
    implements Comparator<Map.Entry<String,Counter>> {
  /**
   * Compares the entries
   */
  public int compare(Map.Entry<String,Counter> o1, Map.Entry<String,Counter> o2) {
    Counter c1 = o1.getValue();
    Counter c2 = o2.getValue();
    return c2.getValue() - c1.getValue();
  }
}
